Package io.vertx.rxjava3.httpproxy

## Class OriginRequestProvider

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.OriginRequestProvider

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class OriginRequestProvider
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A provider that creates the request to the origin server based on `ProxyContext`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<OriginRequestProvider>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OriginRequestProvider​(OriginRequestProvider delegate)` |
    `OriginRequestProvider​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Single<HttpClientRequest>` | `create​(ProxyContext proxyContext)` | Create the to the origin server for a given `ProxyContext`.
    `boolean` | `equals​(Object o)` |
    `static OriginRequestProvider` | `fixedAddress​(int port, String host)` | Creates a simple provider for a fixed `port` and `host`.
    `static OriginRequestProvider` | `fixedAddress​(SocketAddress address)` | Creates a simple provider for a fixed .
    `OriginRequestProvider` | `getDelegate()` |
    `int` | `hashCode()` |
    `static OriginRequestProvider` | `newInstance​(OriginRequestProvider arg)` |
    `Single<HttpClientRequest>` | `rxCreate​(ProxyContext proxyContext)` | Create the to the origin server for a given `ProxyContext`.
    `static OriginRequestProvider` | `selector​(Function<ProxyContext,​Single<SocketAddress>> selector)` | Creates a provider that selects the origin server based on `ProxyContext`.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OriginRequestProvider> __TYPE_ARG

  - ### Constructor Detail

    - #### OriginRequestProvider

          public OriginRequestProvider​(OriginRequestProvider delegate)

    - #### OriginRequestProvider

          public OriginRequestProvider​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OriginRequestProvider getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### fixedAddress

          public static OriginRequestProvider fixedAddress​(int port,
                                                           String host)

      Creates a simple provider for a fixed `port` and `host`.
      Parameters:
        `port` -
        `host` -
      Returns:

    - #### fixedAddress

          public static OriginRequestProvider fixedAddress​(SocketAddress address)

      Creates a simple provider for a fixed .
      Parameters:
        `address` -
      Returns:

    - #### selector

          public static OriginRequestProvider selector​(Function<ProxyContext,​Single<SocketAddress>> selector)

      Creates a provider that selects the origin server based on `ProxyContext`.
      Parameters:
        `selector` -
      Returns:

    - #### create

          public Single<HttpClientRequest> create​(ProxyContext proxyContext)

      Create the to the origin server for a given `ProxyContext`.
      Parameters:
        `proxyContext` - the context of the proxied request and response
      Returns:
        a future, completed with the or failed

    - #### rxCreate

          public Single<HttpClientRequest> rxCreate​(ProxyContext proxyContext)

      Create the to the origin server for a given `ProxyContext`.
      Parameters:
        `proxyContext` - the context of the proxied request and response
      Returns:
        a future, completed with the or failed

    - #### newInstance

          public static OriginRequestProvider newInstance​(OriginRequestProvider arg)